#!/bin/sh -ex

cat <<EOF > /kaniko/.docker/config.json
{
  "auths": {
    "$GITHUB_SERVER_URL": {
      "username": "$INPUT_USERNAME",
      "password": "$INPUT_PASSWORD"
    }
  }
}
EOF

REGISTRY="$(echo "$GITHUB_SERVER_URL" | sed 's .*://  ')"
/kaniko/executor \
    --cache=true \
    --context "${INPUT_DOCKERFILE%/*}" \
    --dockerfile "$INPUT_DOCKERFILE" \
    --destination "$REGISTRY/$INPUT_IMAGE"
